petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscHDF5DataTypeToPetscDataType

Finds the PETSc name of a datatype from its HDF5 name

### Synopsis

    #include "petscsys.h"
    #include "petscviewerhdf5.h"
    PetscErrorCode PetscHDF5DataTypeToPetscDataType(hid_t htype, PetscDataType *ptype)

Not collective

### Input Parameter

htype -the HDF5 datatype (for example H5T_NATIVE_DOUBLE, ...)

### Output Parameter

ptype -the PETSc datatype name (for example PETSC_DOUBLE)

### See Also

PetscDataType, PetscHDF5DataTypeToPetscDataType()

Level:advanced
Location:src/sys/classes/viewer/impls/hdf5/hdf5v.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages